import type { CompletionItem, CompletionItemKind } from 'vscode-languageserver-types';
import type { Position, TextDocument } from 'vscode-languageserver-textdocument';
import { MasterCSS } from '@master/css';
export declare function checkConfigColorsBlock(document: TextDocument, position: Position): boolean;
export declare function getLastInstance(lineText: string, position: Position, language: string): {
    isInstance: boolean;
    lastKey: string;
    triggerKey: string;
    isStart: boolean;
    language: string;
};
export declare function getConfigColorsCompletionItem(css?: MasterCSS): CompletionItem[];
export declare function getCompletionItem(instance: string, triggerKey: string, isStart: boolean, language: string, css?: MasterCSS): CompletionItem[];
export declare function getReturnItem(items: Array<string | CompletionItem>, kind: CompletionItemKind, insertText?: string): CompletionItem[];
